%%% Takes a set of stimulus params (freq,amps) and gives the sorted index
function sort_idx = sine_param_sort(stim_params)
    freqs = unique(stim_params(:,1));
    amps = unique(stim_params(:,2));

    sort_idx = [];
    for f = 1:length(freqs)
        for a = 1:length(amps)
            idx = find(stim_params(:,1) == freqs(f) & stim_params(:,2) == amps(a));
            if length(idx) > 1
                sort_idx = [sort_idx; idx];
            end
        end
    end
end